
Foreman - Feature #144

Media objects should also store their boot and build options

12/27/2009 12:04 PM - Paul Kelly

Status: Closed   

Priority: Normal   

Assignee: Paul Kelly   

Category: Host creation   

Target version: 0.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

A media is not just the packages but also the boot and build code.

This is used to populate the DHCP entries. We can populate these with sensible defaults but for flexibility they should be editable

Related issues:

Precedes Foreman - Feature #178: Automate populating the TFTP directory Closed 03/14/2010

Precedes Foreman - Feature #62: Add a Generic DHCP library Closed 03/15/2010 03/15/2010

History

#1 - 01/06/2010 05:21 AM - Ohad Levy

- Target version set to 0.3

#2 - 03/12/2010 12:47 PM - Paul Kelly

- Status changed from New to Ready For Testing

code in eee8bf5629269d392a23e19f3aa5d1d558e7b0f4 on new_iscdhcp_from_edge

#3 - 05/06/2010 02:10 PM - Paul Kelly

- Branch set to feature/178-populate-tftp

rebased on develop

all tests working

note that this is on branch feature/178-populate-tftp

#4 - 11/09/2010 09:51 AM - Ohad Levy

- Status changed from Ready For Testing to Feedback

- Branch deleted (feature/178-populate-tftp)

is this issue still relevant after the latest modifications to the API and implementation of #178??

#5 - 12/16/2010 08:57 AM - Ohad Levy

- Status changed from Feedback to Closed

- Target version changed from 0.3 to 0.2

This issue has already been resolved with the introduction of the smart proxies
